org.h2gis.functions.io.dbf.internal

## Class DbaseFileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.h2gis.functions.io.dbf.internal.DbaseFileException

All Implemented Interfaces:
  Serializable

    public class DbaseFileException
    extends Exception

Thrown when an error relating to the shapefile occurs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DbaseFileException(String s)`
`DbaseFileException(String s, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DbaseFileException

    public DbaseFileException(String s)

#### DbaseFileException

    public DbaseFileException(String s,
                              Throwable cause)